#include <fggl/gfx/renderer.hpp>
#include <fggl/gfx/rendering.hpp>

using namespace fggl::gfx;

static void gl_render_mesh(GLuint pid, GLuint vao, GLuint idxc) {
	glUseProgram(pid);
	glBindVertexArray(vao);
	glDrawElements(GL_TRIANGLES, idxc, GL_UNSIGNED_INT, (void*)0);
	glBindVertexArray(0);
}

void MeshRenderer::render(const std::vector<data::Model> &models) {
	for ( auto& model : models ) {
		for ( auto& mesh : model.meshes() ) {
			//TODO gl reneder mesh
			//gl_render_mesh();
		}
	}
}

